import {
  CopyOutlined,
  EyeInvisibleOutlined,
  EyeOutlined,
  ReloadOutlined,
} from "@ant-design/icons";
import { Tooltip } from "antd";
import { useTranslation } from "react-i18next";

export function MyCopyIcon({ text, notificationApi }) {
  const { t } = useTranslation();

  return (
    <Tooltip title={t("common.text.copyToClipboard")}>
      <CopyOutlined
        onClick={() => {
          navigator.clipboard.writeText(text);

          notificationApi["info"]({
            message: t("common.text.copiedToClipboard"),
          });
        }}
      />
    </Tooltip>
  );
}

export function MyShowHiddenIcon({ setIsHidden, isHidden }) {
  const { t } = useTranslation();

  return (
    <Tooltip title={isHidden ? t("common.text.hide") : t("common.text.show")}>
      {isHidden ? (
        <EyeInvisibleOutlined onClick={() => setIsHidden(false)} />
      ) : (
        <EyeOutlined onClick={() => setIsHidden(true)} />
      )}
    </Tooltip>
  );
}

export function MyReloadIcon({ onClick }) {
  const { t } = useTranslation();

  return (
    <Tooltip title={t("common.text.reload")}>
      <ReloadOutlined onClick={onClick} />
    </Tooltip>
  );
}
