import { Button, Card, Col, Row, Typography } from "antd";
import { AppStyle } from "../../utils";
import { QrScanner } from "@yudiel/react-qr-scanner";
import { useTranslation } from "react-i18next";
import { CameraOutlined } from "@ant-design/icons";

export default function MyQrScanner({
  isScannerActive,
  setIsScannerActive,
  onDecode,
  onError,
  previewTitle,
  bottomContent,
}) {
  const { t } = useTranslation();

  return (
    <Row style={{ marginBottom: AppStyle.app.margin }}>
      <Col xs={0} md={7} />
      <Col xs={24} md={10}>
        <Card
          style={{
            textAlign: "center",
          }}
        >
          {isScannerActive ? (
            <>
              <QrScanner onDecode={onDecode} onError={onError} />
              <Button
                block
                onClick={() => setIsScannerActive(false)}
                style={{
                  marginTop: AppStyle.app.margin,
                  marginBottom: AppStyle.app.margin,
                }}
              >
                {t("equipmentDocumentationOverview.buttonCloseCamera")}
              </Button>
            </>
          ) : (
            <div onClick={() => setIsScannerActive(true)}>
              <CameraOutlined style={{ fontSize: 64 }} />
              <Typography.Title level={5}>{previewTitle}</Typography.Title>
            </div>
          )}

          {bottomContent}
        </Card>
      </Col>
      <Col xs={0} md={7} />
    </Row>
  );
}
