import { useMemo } from "react";
import { StlViewer } from "react-stl-viewer";
import { Constants } from "../../utils";

export default function MyStlViewer({ url }) {
  const memoizedCode = useMemo(() => {
    return (
      <StlViewer
        style={{ top: 0, left: 0, height: "100%" }}
        orbitControls
        modelProps={{
          color: Constants.COLORS.SECONDARY,
          scale: 1,
          positionX: 200,
          positionY: 200,
        }}
        shadows
        floorProps={{ gridWidth: 400 }}
        url={url}
        onError={(err) => console.error(err)}
      />
    );
  }, [url]);

  return memoizedCode;
}
