import { Button, Result } from "antd";
import { useTranslation } from "react-i18next";
import { Link } from "react-router-dom";

export default function PageNotFound() {
  const { t } = useTranslation();

  return (
    <Result
      status="404"
      title="404"
      subTitle={t("pageNotFound.subTitle")}
      extra={
        <Link to="/">
          <Button type="primary">{t("pageNotFound.buttonBackHome")}</Button>
        </Link>
      }
    />
  );
}
